# Docker container for valgrind

## Использование

Запуск контейнера:
`docker run -it --rm -v $PWD/path/to/my/files:/valgrind shahfil/valgrind:latest`

Запуск проверки в обычном режиме:
`valgrind ./your_executable`

### Пример использования
```
docker run -it --rm -v $PWD/examples:/valgrind shahfil/valgrind:latest

make
valgrind ./leak
valgrind --leak-check=full -s ./leak
exit
```
или то же самое одной командой:
```
docker run -it --rm -v $PWD/examples:/valgrind shahfil/valgrind:latest /bin/bash -c "make && valgrind ./leak"
```
